-- main.lua for title_page.love

function love.load()
	gr				= love.graphics
	sin, cos, pi	= math.sin, math.cos, math.pi
	bckgnd			= gr.newImage( "Love.jpg" )
	image			= gr.newImage( 'Star.png' ) -- transparent background

	effect			= love.graphics.newPixelEffect
		[[
		extern float x, y;
		vec4 effect(vec4 color, Image texture, vec2 tc, vec2 pixel_coords)
		{
			vec4 pixel	= Texel( texture, tc );
			float root	= sqrt((x-tc.x)*(x-tc.x)+(y-tc.y)*(y-tc.y))*1;
			pixel.r		= pixel.r - root;
			pixel.g		= pixel.g - root;
			pixel.b		= pixel.b - root;
			if (pixel.a > 0.0 ) { pixel.a = 1 - root; }
			return  pixel;
			}
		]]

	angle	= 0
	set_effect( 0.8, 0.1 )
	gr.setColorMode( 'replace' )
	end

function love.update( dt )
	angle	= angle > 0  and angle - dt or 2 * pi
	x		= 0.5 + 0.4 * sin( angle )
	y		= 0.5 + 0.4 * cos( angle )
	set_effect( x, y )
	end

function love.draw()
	gr.draw( bckgnd )
	gr.setPixelEffect( effect )	-- apply effect to foreground
	gr.draw( image, 150, 50 )
	gr.setPixelEffect()
	end

function set_effect( x, y )
	effect:send( 'x', x )
	effect:send( 'y', y )
	end

function love.keypressed(k)
	if k == "escape" then love.event.quit() end
	end


